/*
 * Created on 2005. 6. 8
 */
package info.jinwoomin.nevernaver.test;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author <a href="mailto:yeoupooh@gmail.com">Jinwoo, Min </a>
 */
public class NeverNaverRegExpTest
{
    private static String match(String pattern, String src)
    {
        Pattern p = Pattern.compile(pattern);
        Matcher m = p.matcher(src);
        while (m.find())
        {
            System.out.println("m.group(1)=" + m.group(1));
            return m.group(1);
        }

        return null;
    }

    public static void main(String[] args)
    {
        String matchResult;
        Pattern p;
        Matcher m;

        p = Pattern
                .compile("<IMG id=[\\x00-\\xff]* style=\"[\\x00-\\xff]*\" onclick=[']?popview\\([\"]?[\\x00-\\xff]*[\"]?\\)[']?[ height=[0-9]* | ]+src=\"([\\x00-\\xff]*)\"[ width=[0-9]* | ]+onload='setTimeout\\(\"resizeImage\\([0-9]*\\)\",[0-9]*\\)'[ align=[a-z]*]*>");
        m = p
                .matcher("<CENTER><IMG id=userImg8995037 style=\"CURSOR: hand\" onclick=popview(this.src) src=\"http://cafefiles.naver.net/data8/2005/2/26/231/caninfo2001.gif\" onload='setTimeout(\"resizeImage(8995037)\",200)' align=bottom></CENTER>");
        while (m.find())
        {
            System.out.println("1=" + m.group(1));
        }

        p = Pattern
                .compile("<IMG[ height=[0-9]* | ]+src=\"([\\x00-\\xff]*)\"[ width=[0-9]* | ]+border=[0-9]*>");
        m = p
                .matcher("<P><IMG height=160 src=\"http://www.aromaherb.co.kr/kind/img/img_lavender2.jpg\" width=217 border=0><FONT color=#ff0080><B>&nbsp;</B></FONT></P> ");
        while (m.find())
        {
            System.out.println("2=" + m.group(1));
        }

        p = Pattern
                .compile("<span class=\"eng_gray\">http://blog.naver.com/[a-zA-Z0-9]+/([\\d]+)</span>");
        m = p
                .matcher("<span class=\"eng_gray\">http://blog.naver.com/yeoupooh/120005853722</span>");
        while (m.find())
        {
            System.out.println("3=" + m.group(1));
        }

        p = Pattern.compile("([0-9]{4}/[0-9]{2}/[0-9]{2} [0-9]{2}:[0-9]{2})");
        m = p.matcher("2004/09/13 02:31");
        while (m.find())
        {
            System.out.println("4=" + m.group(1));
        }

        // <span class='Pt3'>Owens Farm</span>
        p = Pattern.compile("<span class='Pt3'>([\\u0000-\\uffff]*)</span>");
        m = p.matcher("<span class='Pt3'>Owens Farm</span>");
        while (m.find())
        {
            System.out.println("5=" + m.group(1));
        }

        // 	<a
        // href="javascript:parent.blogNev('/post/postList.jsp','yeoupooh','3');"><span
        // class="ct">Ǫ in USA</span></a>
        p = Pattern.compile("<span class=\"ct\">([\\u0000-\\uffff]*)</span>");
        m = p.matcher("<span class=\"ct\">Ǫ in USA</span>");
        while (m.find())
        {
            System.out.println("6=" + m.group(1));
        }

        // 
        matchResult = match("'/post/postList.jsp','[\\x00-\\xff]*','([0-9]*)'",
                "'/post/postList.jsp','yeoupooh','3'");
        System.out.println("7=" + matchResult);
    }
}
